The BOOST_PP_TUPLE_POP_BACK macro pops an element from the end of an tuple.

#### Usage

BOOST_PP_TUPLE_POP_BACK(tuple) (v)

#### Arguments

tuple
  The tuple to pop an element from.

#### Remarks

This macro returns tuple after removing the last element. If tuple has only a single element, it remains unchanged since a tuple must have at least one element.
This macro uses BOOST_PP_REPEAT internally. Therefore, to use the z parameter passed from other macros that use BOOST_PP_REPEAT, see BOOST_PP_TUPLE_POP_BACK_Z

#### See Also

- BOOST_PP_TUPLE_POP_BACK_Z

#### Requirements

Header: <boost/preprocessor/tuple/pop_back.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/pop_back.hpp>

    #define TUPLE (a, b, c)

    BOOST_PP_TUPLE_POP_BACK(TUPLE) // expands to (a, b)

© Copyright Edward Diener 2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)